Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.dbaseapi
Class DBFDataSection

    java.lang.Object
      org.deegree.io.dbaseapi.DBFDataSection

    public class DBFDataSection

extends Object

Class representing a record of the data section of a dBase III/IV file
at the moment only the daata types character ("C") and numeric ("N") are supported

Version:
  $Revision: 24277 $, $Date: 2010-05-10 16:41:12 +0200 (Mo, 10. Mai 2010) $
Author:
  Andreas Poth, last edited by: $Author: apoth $

Constructor Summary
`DBFDataSection(FieldDescriptor[] fieldDesc)` constructor

Method Summary
`byte[]` | `getDataSection()` method: public byte[] getDataSection() returns the data section as a byte array.
`void` | `getDataSection(OutputStream os)`
`int` | `getNoOfRecords()` method: public int getNoOfRecords() returns the number of records within the container
`void` | `setRecord(int index, List<?> recData)` method: public setRecord(int index, ArrayList recData) writes a data record to byte array representing the data section of the dBase file.
`void` | `setRecord(List<?> recData)` method: public setRecord(ArrayList recData) writes a data record to byte array representing the data section of the dBase file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBFDataSection

    public DBFDataSection(FieldDescriptor[] fieldDesc)

  constructor

Method Detail

### setRecord

    public void setRecord(List<?> recData)
                   throws DBaseException

  method: public setRecord(ArrayList recData) writes a data record to byte array representing the data section of the dBase file. The method gets the data type of each field in recData from fieldDesc wich has been set at the constructor.

  Throws:
    `DBaseException`

### setRecord

    public void setRecord(int index,
                          List<?> recData)
                   throws DBaseException

  method: public setRecord(int index, ArrayList recData) writes a data record to byte array representing the data section of the dBase file. The method gets the data type of each field in recData from fieldDesc wich has been set at the constructor. index specifies the location of the retrieved record in the datasection. if an invalid index is used an exception will be thrown

  Throws:
    `DBaseException`

### getDataSection

    public byte[] getDataSection()

  method: public byte[] getDataSection() returns the data section as a byte array.

### getDataSection

    public void getDataSection(OutputStream os)
                        throws IOException

  Throws:
    `IOException`

### getNoOfRecords

    public int getNoOfRecords()

  method: public int getNoOfRecords() returns the number of records within the container

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org